Download it now!
Bug 96113 - Load/Save - Missing background colors of frame
Summary: Load/Save - Missing background colors of frame
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.7.1 rc
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.0.1 target:5...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-11-28 08:59 UTC by Lucjan Lipka
Modified: 2016-10-25 19:12 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
A odt file with test with colored background (169.98 KB, application/vnd.oasis.opendocument.text)
2015-11-28 08:59 UTC, Lucjan Lipka
Details
Odt with colors on LO 3.X printscreen (167.28 KB, image/jpeg)
2015-11-28 14:15 UTC, Lucjan Lipka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lucjan Lipka 2015-11-28 08:59:43 UTC
Created attachment 120849 [details]
A odt file with test with colored background

In 2013 I made a document where some text had a color background. I don't remember the exact version.

There where no problem of loading that file in LO versions:
3.6.1.2 and 4.3.4.1. So I assume there is no problem in 3.X and 4.X.

Recently I updated LO to newest version and after loading I saw the colors were gone.
Comment 1 Lucjan Lipka 2015-11-28 14:15:54 UTC
Created attachment 120850 [details]
Odt with colors on LO 3.X printscreen
Comment 2 MM 2015-11-28 19:25:10 UTC
Unconfirmed with v4.3.7.2 under mint 17.2 x64.
Confirmed with v4.4.7.1 under mint 17.2 x64.
Confirmed with v5.0.3.2 under mint 17.2 x64.
Comment 3 Regina Henschel 2015-11-28 22:20:56 UTC
OK in Version: 4.4.0.0.alpha0+
Build ID: aa453de65b8b44f9c1e6012caaeef11df9ff65fc
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-24_13:45:34

Broken in Version: 4.4.0.0.alpha0+
Build ID: 86a3fe47a66950e26d23d7d7f2680fa7d4fb0839
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-05_02:45:20
Comment 4 raal 2015-11-29 20:47:56 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?
Thanks

0de5b1eb8036f0a919e4ec76928e785d3098f90b is the first bad commit
commit 0de5b1eb8036f0a919e4ec76928e785d3098f90b
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sat Mar 14 22:29:31 2015 +0800

    source-hash-3d399b0e45720354fc64dc3d121ee486e01eff89
    
    commit 3d399b0e45720354fc64dc3d121ee486e01eff89
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Mon Jun 30 12:19:23 2014 +0200
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Tue Jul 1 13:30:12 2014 +0200
    
        getSvxBrushItemFromSourceSet: let XFILL_NONE result in COL_AUTO
    
        I'm not completely sure about this, but without this, automatic color is
        translated back as rgba(114, 159, 207, 255), which sounds even worse.
    
        Change-Id: I9f96f26b3797d9e289119a4795d2535b6d72262e
Comment 5 Miklos Vajna 2015-12-11 21:58:11 UTC
(In reply to raal from comment #4)
> This seems to have begun at the below commit.
> Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?

Yes, will do.
Comment 6 Robinson Tryon (qubit) 2015-12-13 10:30:18 UTC Comment hidden (obsolete)
Comment 7 Commit Notification 2015-12-15 08:12:24 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a0c0af7309e1f5ba3811bbe8a73e506cf5cd069

tdf#96113 sw: don't overwrite fo:background-color on ODT frame import

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-12-15 21:50:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc8e7db79102ba8222387aef4f581d0aa8927e6d&h=libreoffice-5-1

tdf#96113 sw: don't overwrite fo:background-color on ODT frame import

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-12-18 08:51:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09ea045d373bc00de4238363c6551fdffa7f3548&h=libreoffice-5-0

tdf#96113 sw: don't overwrite fo:background-color on ODT frame import

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.